GIT-PEEK-REMOTE(1)

NAME
git-peek-remote - Lists the references in a remote repository

SYNOPSIS
git-peek-remote [--exec=<git-upload-pack>] [<host>:]<directory>.sp

DESCRIPTION
Lists the references the remote repository has, and optionally stores them in the local repository under the same name..sp

OPTIONS

--exec=<git-upload-pack>
    Use this to specify the path to git-upload-pack on the remote side, if it is not found on your $PATH. Some installations of sshd ignores the user's environment setup scripts for login shells (e.g. .bash_profile) and your privately installed git may not be found on the system default $PATH. Another workaround suggested is to set up your $PATH in ".bashrc", but this flag is for people who do not want to pay the overhead for non-interactive shells, but prefer having a lean .bashrc file (they set most of the things up in .bash_profile).

<host>
    A remote host that houses the repository. When this part is specified, git-upload-pack is invoked via ssh.

<directory>
    The repository to sync from.

AUTHOR
Written by Junio C Hamano <junkio@cox.net>.sp

DOCUMENTATION
Documentation by Junio C Hamano..sp

GIT
Part of the git(7) suite.sp